#!/usr/bin/env python
# Generated by jaraco.develop 2.15.1
# https://pypi.python.org/pypi/jaraco.develop

import io
import sys

import setuptools

with io.open('README.txt', encoding='utf-8') as readme:
	long_description = readme.read()

needs_pytest = {'pytest', 'test'}.intersection(sys.argv)
pytest_runner = ['pytest_runner'] if needs_pytest else []
needs_sphinx = {'release', 'build_sphinx', 'upload_docs'}.intersection(sys.argv)
sphinx = ['sphinx', 'jsonpickle'] if needs_sphinx else []

setup_params = dict(
	name='jaraco.modb',
	use_scm_version=True,
	author="Jason R. Coombs",
	author_email="jaraco@jaraco.com",
	description="MongoDB Object DataBase (MODB) for Python objects",
	long_description=long_description,
	url="https://bitbucket.org/jaraco/jaraco.modb",
	packages=setuptools.find_packages(),
	install_requires=[
		'jsonpickle==0.7.2',
		'pymongo',
		'jaraco.text',
		'six',
	],
	setup_requires=[
		'setuptools_scm',
	] + pytest_runner + sphinx,
	tests_require=[
		'pytest',
	],
	license='MIT',
	classifiers=[
		"Development Status :: 5 - Production/Stable",
		"Intended Audience :: Developers",
		"License :: OSI Approved :: MIT License",
		"Programming Language :: Python :: 2.7",
		"Programming Language :: Python :: 3",
	],
)
if __name__ == '__main__':
	setuptools.setup(**setup_params)
